> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/catalogs/product-catalogs.md).

# Product Catalogs

## List all catalogs

> Returns a list of all product catalogs in your program.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"Catalog":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the catalog (the impact.com Catalog Id)."},"Name":{"type":"string","description":"Name of the catalog."},"Language":{"type":"string"},"Filename":{"type":"string","description":"Name of the file that contains the catalog."},"AdvertiserId":{"type":"string","description":"Id of the brand (formerly known as advertiser) that owns the catalog."},"CampaignId":{"type":"string","description":"Id of the program (formerly known as campaign) to which the catalog belongs."},"Status":{"type":"string","enum":["ACTIVE","CLOSED","DEACTIVATED","PENDING"],"description":"State of use the catalog is in (e.g., `ACTIVE`, `CLOSED`, `DEACTIVATED`, `PENDING`)."},"NumberOfItems":{"type":"integer","description":"Number of items in the catalog."},"DateLastUpdated":{"type":"string","format":"date-time","description":"Date and time the catalog was last updated (ISO 8601)."},"Currency":{"type":"string","description":"Currency in which the items' prices are listed. See ISO 4217."},"UploadMethod":{"type":"string","enum":["DIRECT_UPLOAD","IMPACT_RADIUS_FTP_SERVER","IR_SFTP","PULL_FROM_URL","SHOPPING_CART_PULL"],"description":"How the catalog was uploaded (e.g., `DIRECT_UPLOAD`, `IR_SFTP`, `SHOPPING_CART_PULL`)."},"ItemsUri":{"type":"string","format":"uri-reference","description":"URI to view this catalog's items."},"Uri":{"type":"string","format":"uri-reference","description":"Direct URI to this catalog."}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs":{"get":{"operationId":"listCatalogs","tags":["Product Catalogs"],"summary":"List all catalogs","description":"Returns a list of all product catalogs in your program.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CampaignId","in":"query","description":"Filter catalogs by the ID of the program (campaign) they belong to.","schema":{"type":"integer"}},{"name":"Status","in":"query","description":"Filter catalogs by their current state of use.","schema":{"type":"string","enum":["ACTIVE","CLOSED","DEACTIVATED","PENDING"]}}],"responses":{"200":{"description":"A list of catalogs.","content":{"application/json":{"schema":{"type":"object","properties":{"Catalogs":{"type":"array","items":{"$ref":"#/components/schemas/Catalog"}}}}}}}}}}}}
```

## Retrieve a catalog

> Retrieves metadata for a specific product catalog.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"Catalog":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the catalog (the impact.com Catalog Id)."},"Name":{"type":"string","description":"Name of the catalog."},"Language":{"type":"string"},"Filename":{"type":"string","description":"Name of the file that contains the catalog."},"AdvertiserId":{"type":"string","description":"Id of the brand (formerly known as advertiser) that owns the catalog."},"CampaignId":{"type":"string","description":"Id of the program (formerly known as campaign) to which the catalog belongs."},"Status":{"type":"string","enum":["ACTIVE","CLOSED","DEACTIVATED","PENDING"],"description":"State of use the catalog is in (e.g., `ACTIVE`, `CLOSED`, `DEACTIVATED`, `PENDING`)."},"NumberOfItems":{"type":"integer","description":"Number of items in the catalog."},"DateLastUpdated":{"type":"string","format":"date-time","description":"Date and time the catalog was last updated (ISO 8601)."},"Currency":{"type":"string","description":"Currency in which the items' prices are listed. See ISO 4217."},"UploadMethod":{"type":"string","enum":["DIRECT_UPLOAD","IMPACT_RADIUS_FTP_SERVER","IR_SFTP","PULL_FROM_URL","SHOPPING_CART_PULL"],"description":"How the catalog was uploaded (e.g., `DIRECT_UPLOAD`, `IR_SFTP`, `SHOPPING_CART_PULL`)."},"ItemsUri":{"type":"string","format":"uri-reference","description":"URI to view this catalog's items."},"Uri":{"type":"string","format":"uri-reference","description":"Direct URI to this catalog."}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}":{"get":{"operationId":"getCatalog","tags":["Product Catalogs"],"summary":"Retrieve a catalog","description":"Retrieves metadata for a specific product catalog.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog."}],"responses":{"200":{"description":"Catalog details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Catalog"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/catalogs/product-catalogs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
